KDE 4.7 PyKDE API Reference

- KDE's Python API

# ScriptEngine Class Reference

`from PyKDE4.plasma import *`

Inherits: QObject
Namespace: Plasma

## Detailed Description

ScriptEngine plasma/scripting/scriptengine.h <Plasma/Scripting/ScriptEngine>

The base class for scripting interfaces to be used in loading plasmoids of a given language.

All ScriptEngines should export as consistent an interface as possible so that the learning curve is limited. In particular, the following API should be made available in the script environment:

TODO: define the actual scripting APIas ... PlasmaApplet - the applet of this plasmoid LoadUserInterface(String uiFile) - loads and returns a given UI file LoadImage - loads an image resource out of the plasmoid's package PlasmaSvg - creates and returns an Svg file

## Methods
| __init__ (self, QObject parent=0)
bool | init (self)
QString | mainScript (self)
Plasma.Package | package (self)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

bool init | ( |  | self ) |

Called when it is safe to initialize the internal state of the engine

QString mainScript | ( |  | self ) |

Returns:
  absolute path to the main script file for this plasmoid

Plasma.Package package | ( |  | self ) |

Returns:
  the Package associated with this plasmoid which can be used to request resources, such as images and interface files.